Bug 1031563 - Error message of creating invalid domain should be highlighted.
Error message of creating invalid domain should be highlighted.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks: 1038558
  Show dependency treegraph
 
Reported: 2013-11-18 05:03 EST by Yujie Zhang
Modified: 2015-05-14 21:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1038558 (view as bug list)
Environment:
Last Closed: 2014-01-29 19:50:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-11-18 05:03:51 EST
Description of problem:

When creating invalid domains including invalid charactors, invalid length, blank input, or existing domain, only the input form is highlighted to be red, the error message is not highlighted, it's gray. We should also highligted the error message.

Version-Release number of selected component (if applicable):
INT(devenv_4043)

How reproducible:
always

Steps to Reproduce:
1.Try to create invalid domains from app/console/domains/new page
2.Check the error message
3.

Actual results:

Error message of creating invalid domain is not highlighted.

Expected results:

Error message of creating invalid domain should be highlighted.

Additional info:
Comment 1 Jordan Liggitt 2013-11-18 09:48:03 EST
Will merge in https://github.com/openshift/origin-server/pull/4195
Comment 2 openshift-github-bot 2013-11-18 10:59:42 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/6d57be0ec5c01dc78d29e9a4aa9ace2eb438c265
Fix bug 1031563 - highlight error messages generated by formtastic
Comment 3 Yujie Zhang 2013-11-18 23:00:34 EST
Tested on devenv_4047, the error message of creating invalid domain has been highlighted now, so verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.